Bug 593093 - not all cobbler kickstart variables correctly applied
Summary: not all cobbler kickstart variables correctly applied
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: 462714
TreeView+ depends on / blocked
 
Reported: 2010-05-17 19:44 UTC by Tim Wilkinson
Modified: 2010-07-13 04:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-13 04:10:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Tim Wilkinson 2010-05-17 19:44:04 UTC
Description of problem:
----------------------
In attempting to use kickstart variables by way of --ksmeta, the variables defined in the cobbler system entries do not apply to all of the variables. The variable assignments we see in /tftpboot/pxelinux.cfg/ for each of the two systems (urls referenced by ks=) are correct but the values that end up in the finished kickstart (/root/anaconda-ks.cfg) are almost all wrong. 

Although we see that the variables are correctly defined in the URLs used by the individual /tftpboot/pxelinux.cfg/<MAC> files for these two systems:
       ---------------------------------------------
 network --device eth0 --bootproto static --ip 10.16.136.10 
   --netmask 255.255.248.0 --gateway 10.16.143.254 
   --nameserver 10.16.136.1,10.16.255.2 
   --hostname mgmt1.cloud.lab.eng.bos.redhat.com
 network --device eth1 --bootproto static --ip 192.168.136.10 
   --netmask 255.255.255.0 --hostname mgmt1-ic
       ---------------------------------------------
 network --device eth0 --bootproto static --ip 10.16.136.15 
   --netmask 255.255.248.0 --gateway 10.16.143.254 
   --nameserver 10.16.136.1,10.16.255.2 
   --hostname mgmt2.cloud.lab.eng.bos.redhat.com
 network --device eth1 --bootproto static --ip 192.168.136.15 
   --netmask 255.255.255.0 --hostname mgmt2-ic
       ---------------------------------------------

The variables that get applied (as seen in the /root/anaconda-ks.cfg files for each system) are incorrect:
       ---------------------------------------------
 network --device eth0 --bootproto static --ip 10.16.136.10 
   --netmask 255.255.248.0 --gateway 10.16.143.254 
   --nameserver 10.16.136.1,10.16.255.2 
   --hostname mgmt1.cloud.lab.eng.bos.redhat.com
 network --device eth1 --bootproto static --ip 192.168.136.10 
   --netmask 255.255.255.0 --gateway 10.16.143.254 
   --nameserver 10.16.136.1,10.16.255.2 
   --hostname mgmt1.cloud.lab.eng.bos.redhat.com
       ---------------------------------------------
 network --device eth0 --bootproto static --ip 10.16.136.15 
   --netmask 255.255.248.0 --gateway 10.16.143.254 
   --nameserver 10.16.136.1,10.16.255.2 
   --hostname mgmt1.cloud.lab.eng.bos.redhat.com
 network --device eth1 --bootproto static --ip 192.168.136.15 
   --netmask 255.255.255.0 --gateway 10.16.143.254 
   --nameserver 10.16.136.1,10.16.255.2 
   --hostname mgmt1.cloud.lab.eng.bos.redhat.com
       ---------------------------------------------

Please note that the variables for the IP, NETIP and ICIP worked and are applied uniquely but the variables NAME and ICNAME do not.



Version-Release:
---------------
cobbler.x86_64    1.6.6-5.el5sat



How reproducible:
----------------
consistent



Steps to Reproduce:
------------------
1. Define cobbler profile to use a specific kickstart file.

2. Define cobbler systems, using above profile, and defining vars as so:
 
   cobbler system add --name=mgmt1.cloud.lab.eng.bos.redhat.com 
   --profile=mgmtNode --mac=00:17:A4:77:24:00 --ip=10.16.136.10 
   --hostname=mgmt1.cloud.lab.eng.bos.redhat.com                 
   --ksmeta="NAME=mgmt1.cloud.lab.eng.bos.redhat.com 
             NETIP=10.16.136.10 ICIP=192.168.136.10 ICNAME=mgmt1-ic"

   cobbler system add --name=mgmt2.cloud.lab.eng.bos.redhat.com 
   --profile=mgmtNode --mac=00:17:A4:77:24:04 --ip=10.16.136.15 
   --hostname=mgmt2.cloud.lab.eng.bos.redhat.com  
   --ksmeta="NAME=mgmt2.cloud.lab.eng.bos.redhat.com 
             NETIP=10.16.136.15 ICIP=192.168.136.15 ICNAME=mgmt2-ic"

3. Boot each system and let the cobbler entries apply to the 
   requesting MAC of each system.



Actual results:
--------------
For mgmt1:      
    NAME = mgmt1.cloud.lab.eng.bos.redhat.com
   NETIP = 10.16.136.10
  ICNAME = mgmt1.cloud.lab.eng.bos.redhat.com 		* incorrect!
    ICIP = 192.168.136.10

For mgmt2:      
    NAME = mgmt1.cloud.lab.eng.bos.redhat.com  		* incorrect!
   NETIP = 10.16.136.15
  ICNAME = mgmt1.cloud.lab.eng.bos.redhat.com 		* incorrect!
    ICIP = 192.168.136.15



Expected results:
----------------
For mgmt1:
    NAME = mgmt1.cloud.lab.eng.bos.redhat.com 
   NETIP = 10.16.136.10
  ICNAME = mgmt1-ic
    ICIP = 192.168.136.10

For mgmt2:
    NAME = mgmt2.cloud.lab.eng.bos.redhat.com 
   NETIP = 10.16.136.15
  ICNAME = mgmt2-ic
    ICIP = 192.168.136.15



Additional info:
---------------
kernel:  2.6.18-194.el5

Comment 1 Clifford Perry 2010-06-02 17:19:23 UTC
Where is the Satellite bug here? 

Satellite supports cobbler being used within context of Satellite. I see nothing here but direct cobbler interactions.

Please open a bug with cobbler upstream if there is a specific cobbler bug that you would like addressed. If your able to display this bug within Satellite's usage of cobbler then please open a support ticket for us to triage and fix. 

Regards,
Cliff.


Note You need to log in before you can comment on or make changes to this bug.